Page MenuHomePhabricator

UrlShortener: Code stewardship review.
Closed, ResolvedPublic

Subscribers
Tokens
"Like" token, awarded by Smalyshev."Love" token, awarded by Liuxinyu970226."Love" token, awarded by thiemowmde."Love" token, awarded by Lucas_Werkmeister_WMDE."Love" token, awarded by Elitre.
Assigned To
Authored By
Reedy, Feb 12 2018

Description

As a blocker to T108557 going any further...

MediaWiki-extensions-UrlShortener is wanted by various projects, and is half deployed on Wikimedia Wikis in a read-only state. There is no owner of the extension or its deployment, as such, it's currently stuck.

https://www.mediawiki.org/wiki/Extension:UrlShortener was created as response to https://www.mediawiki.org/wiki/Requests_for_comment/URL_shortener#Tim.27s_implementation_suggestion

It has been installed in a readonly mode for the last 2 years - https://github.com/wikimedia/operations-mediawiki-config/commit/6696f1e5dad6d2a02c40c4464f47d6e270855879

Was it a cause of production outages or incidents? List them.

Does it have sufficient hardware resources for now and the near future (to take into account expected usage growth)?

Is it a frequent cause of monitoring alerts that need action, and are they addressed timely and appropriately?

When it was first deployed to Wikimedia production

Usage statistics based on audience(s) served

Changes committed in last 1, 3, 6, and 12 months

Reliance on outdated platforms (e.g. operating systems)

Number of developers who committed code in the last 1, 3, 6, and 12 months

Number and age of open patches

Number and age of open bugs

Number of known dependencies?

Is there a replacement/alternative for the feature? Is there a plan for a replacement?

Event Timeline

Reedy created this task.Feb 12 2018, 12:03 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 12 2018, 12:03 PM
Elitre updated the task description. (Show Details)
Reedy updated the task description. (Show Details)Feb 12 2018, 12:05 PM

I'll be "taking over" ownership of UrlShortener in my work capacity (MWPT) instead of struggling to spend time on it as a volunteer. In addition to finishing off this should-be-a-month-but-ended-up-being-three-years project, this should also reduce our tech debt in the long run since it will allow us to sunset ShortUrl.

What about extending descriptions of this task to also mention MediaWiki-extensions-ShortUrl (and surl)?

As far as WMF is concerned, I guess we don't care about surl. However, ShortUrl is deployed... So I already filed T187045

Elitre rescinded a token.Feb 14 2018, 11:17 AM
Elitre awarded a token.
Liuxinyu970226 awarded a token.
Legoktm closed this task as Resolved.Feb 21 2018, 8:52 PM
Legoktm claimed this task.

Marking as resolved per T187052#3966147 - please re-open if that's not the right process for these.

greg added a subscriber: greg.Apr 18 2018, 6:46 PM

Marking as resolved per T187052#3966147 - please re-open if that's not the right process for these.

Can you update Dev/Maint as well, please? :) Is it just MWPT? I can do that if so.

greg reopened this task as Open.Apr 18 2018, 6:47 PM

(re-opening until that's ^ done and then I'll re-close and move to the done column)

greg triaged this task as Normal priority.Apr 18 2018, 6:47 PM
greg moved this task from Backlog to Prioritized on the Code-Stewardship-Reviews board.
greg closed this task as Resolved.Apr 25 2018, 8:51 PM

(re-opening until that's ^ done and then I'll re-close and move to the done column)

https://www.mediawiki.org/w/index.php?title=Developers%2FMaintainers&type=revision&diff=2764557&oldid=2753504